DROP TRIGGER LD0T0U90_BVK_MOT
;
CREATE TRIGGER LD0T0U90_BVK_MOT ON LD0P0U90
AFTER UPDATE
AS 
DECLARE @MOTTDAT_BLANKT VARCHAR(8)
DECLARE @LNUPPDRAGNR DECIMAL(9)
DECLARE @ANTAL DECIMAL(9)
DECLARE U90_MOTDAT CURSOR FOR
	SELECT MOTDAT, LNUPPDRAGNR FROM DELETED

OPEN U90_MOTDAT
FETCH NEXT FROM U90_MOTDAT INTO @MOTTDAT_BLANKT,@LNUPPDRAGNR

WHILE @@FETCH_STATUS = 0
BEGIN
SET XACT_ABORT ON
SET NOCOUNT ON
	SET @ANTAL=(SELECT COUNT(*) FROM LD0P0BVK WHERE HUVUDOBJNR=CONVERT(VARCHAR,@LNUPPDRAGNR) AND HUVUDOBJID=28098 AND IDME_ID=8)
	IF @ANTAL>0
	BEGIN
		IF UPDATE(MOTDAT) AND @MOTTDAT_BLANKT=' '
		BEGIN 
			DELETE FROM LD0P0BVK
				WHERE HUVUDOBJID = 28098 AND IDME_ID=8
				AND HUVUDOBJNR IN (SELECT CONVERT(VARCHAR,LNUPPDRAGNR) FROM DELETED)
		END
	END
	FETCH NEXT FROM U90_MOTDAT INTO @MOTTDAT_BLANKT,@LNUPPDRAGNR
END
CLOSE U90_MOTDAT
DEALLOCATE U90_MOTDAT
;

DROP TRIGGER LD0T1U90
;

CREATE TRIGGER LD0T1U90 ON LD0P0U90
AFTER DELETE
AS 
BEGIN
SET XACT_ABORT ON
SET NOCOUNT ON
    IF EXISTS (SELECT * FROM LD0P0BVK WHERE HUVUDOBJID = 28098 AND HUVUDOBJNR IN (SELECT CONVERT(VARCHAR,LNUPPDRAGNR) FROM DELETED))
    BEGIN 
        DELETE FROM LD0P0BVK
          WHERE HUVUDOBJID = 28098 
            AND HUVUDOBJNR IN (SELECT CONVERT(VARCHAR,LNUPPDRAGNR) FROM DELETED)
    END
END
;